%define _gst_libdir %_libdir/gstreamer-%ver_major
%define gst_plugins gst-plugins
%define ver_major 0.10

Name: gst-ffmpeg
Version: %ver_major.3
Release: alt3.M41.1
Summary: GStreamer streaming media framework plug-in using FFmpeg
Group: System/Libraries
License: GPL
Url: http://gstreamer.freedesktop.org/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %url/src/gst-ffmpeg/gst-ffmpeg.tar.bz2
Patch1: gst-ffmpeg-0.10.2-alt-external-ffmpeg.patch
Patch2: gst-ffmpeg-ffmpegdec_get_buffer.patch

# Automatically added by buildreq on Thu May 15 2008
BuildRequires: gcc-c++ gst-plugins-devel libavformat-devel liboil-devel libpostproc-devel python-modules

BuildRequires: rpm-build-compat >= 0.95

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

GStreamer FFmpeg plug-in contains one plugin with a set of elements
using the FFmpeg library code. It contains most popular decoders as
well as very fast colorspace conversion elements.

%prep
%setup -q -n %name
%patch1 -p1
%patch2 -p1

%build
%autoreconf
%configure \
    --disable-debug \
    --disable-static \
    --with-system-ffmpeg

%make_build

%install
%make DESTDIR=%buildroot install

%files
%doc AUTHORS NEWS README TODO
%_gst_libdir/*.so

%changelog
* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 0.10.3-alt3.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Thu May 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.3-alt3
- rebuild

* Tue Jan 29 2008 Igor Zubkov <icesik@altlinux.org> 0.10.3-alt2
- rebuild

* Thu Dec 06 2007 Igor Zubkov <icesik@altlinux.org> 0.10.3-alt1
- 0.10.2.2 -> 0.10.3

* Fri Nov 30 2007 Igor Zubkov <icesik@altlinux.org> 0.10.2.2-alt1
- 0.10.2 -> 0.10.2.2

* Thu Sep 27 2007 Igor Zubkov <icesik@altlinux.org> 0.10.2-alt7
- fix segfaults (thanks shrek@!)

* Mon May 07 2007 Igor Zubkov <icesik@altlinux.org> 0.10.2-alt6
- add libXext-devel to buildrequires

* Wed Apr 11 2007 Igor Zubkov <icesik@altlinux.org> 0.10.2-alt5
- disable check :(

* Wed Apr 11 2007 Igor Zubkov <icesik@altlinux.org> 0.10.2-alt4
- update from cvs
- update patch for building with external version of ffmpeg
- proper link all .so file (closes #11458)
- enable check :)

* Tue Mar 20 2007 Igor Zubkov <icesik@altlinux.org> 0.10.2-alt3
- fix build with new ffmpeg (thanks to led@)
- disable check :(

* Sun Dec 24 2006 Igor Zubkov <icesik@altlinux.org> 0.10.2-alt2
- build with external version ffmpeg (#10493)
- add libffmpeg-devel to buildrequires

* Thu Dec 21 2006 Igor Zubkov <icesik@altlinux.org> 0.10.2-alt1
- 0.10.1 -> 0.10.2 (should fix #6362)
- add liboil-devel to buildrequires

* Sun Jun 04 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt2
- Patch0: fix linker flags resolve undefined symbols
- Buildreq
- Added libvorbis-devel to build dependencies due to an autoconf macro used

* Mon Apr 03 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- 0.10.1

* Wed Mar 15 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt1
- First release the for 0.10 branch, under new name gst-ffmpeg
- Disabled Freetype and SDL dependencies
- Corrected license info

* Sun Oct 30 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.7-alt1
- 0.8.7

* Sat Sep 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.6-alt1
- Updated to 0.8.6

* Fri Jan 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Thu Nov 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.2-alt1
- 0.8.2

* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1.2
- relax gstreamer dependencies.

* Sun Apr 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1.1
- First build for Sisyphus.
